//
//  ViewController.swift
//  SimpleTVOSSample
//
//  Created by David Cortes on 3/14/19.
//  Copyright © 2023 Akamai. All rights reserved.
//

import UIKit
import AVKit
import AmpCore
import AmpMux
import MuxCore

class ViewController: UIViewController {
    
    var ampPlayer: AmpPlayer!
    var playerController: AVPlayerViewController = AVPlayerViewController()
    var muxAnalytics:AmpMuxManager?
    
    let liveURL = "http://csm-e.cds1.yospace.com/csm/extlive/yospace02,sampledroid.m3u8?yo.br=false&yo.ac=true"
    let vodURL = "http://multiplatform-f.akamaihd.net/i/multi/will/bunny/big_buck_bunny_,640x360_400,640x360_700,640x360_1000,950x540_1500,.f4v.csmil/master.m3u8"
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
        self.ampPlayer = AmpPlayer(parentViewController: self, playerController: playerController)
        let videoMetadata = MUXSDKCustomerVideoData()
        videoMetadata.videoTitle = "Sintel"
        videoMetadata.videoCdn = "Akamai"
        videoMetadata.videoContentType = "HLS"
        videoMetadata.videoStreamType = "VOD"
        videoMetadata.videoSourceUrl = "http://cdnbakmi.kaltura.com/p/243342/sp/24334200/playManifest/entryId/0_uka1msg4/flavorIds/1_vqhfu6uy,1_80sohj7p/format/applehttp/protocol/http/a.m3u8"
        let muxInfo = AmpMuxInfo(environmentKey: "dcun7gld3vmjojgpe4sd8u9vp", videoMetaData: videoMetadata)
        self.muxAnalytics = AmpMuxManager(player: ampPlayer!, info: muxInfo)
        self.ampPlayer.registerObserver(self)
        self.ampPlayer.autoplay = true
        self.ampPlayer.play(url: liveURL)
        self.ampPlayer.setLicense("AwHB4Nyeb/SoR8Cxj2huiO2FZGx/1WQ1yKeZw99n5dQV3+p4KV/p01lk2UY5QKn8qbOpAwmqvuESPkgJVSfRYE1gCaoCvnI1JRQ7f5aIVC6HHUz9u0hLKYUQF5heaDXxKW+LDjbWrqQrgjpJmfQASCxPHmmDFtSecaQPUGfPvIroJOSaWjO6x982A5zHxtiCqwUPpZ1vfICjPGwoOBBrEJ0jqKnXrp4M28uCqImFOyHquQ==")
    }
}

extension ViewController:PlayerEventObserver {
    func onAmpError(_ ampPlayer: AmpPlayer, error: PlayerError, code: Int, message: String) {
        print("An error has occurred \(error) \(code) \(message)")
    }
}

